#include <fcntl.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>

#include <rtdm/rtdm.h>

#define LG_BUFFER 80

int main (int argc, char * argv[])
{
	int fd;
	int i;
	char buffer[LG_BUFFER];
	long long int min, max, somme;
	int nb;
	fd = rt_dev_open("mesure_periode_rtdm", O_RDONLY);
	if (fd < 0) {
		fprintf(stderr, "%s: %s\n", argv[1], strerror(-fd));
		exit(EXIT_FAILURE);
	}
	
	while ((i = rt_dev_read(fd, buffer, LG_BUFFER)) > 0) {
		buffer[i] ='\0';
		if (sscanf(buffer, "%lld %lld %lld %d", & min, &max, &somme, & nb) == 4)
			printf("min = %lld, max = %lld, moy = %lld\n",
				min, max, somme / nb);
	}
	rt_dev_close(fd);
	return EXIT_SUCCESS;
}


